curl --request GET \
--url https://app.sajn.se/api/v1/sajn-id/{id} \
--header 'Authorization: Bearer <token>' \
--header 'authorization: <authorization>'import requests
url = "https://app.sajn.se/api/v1/sajn-id/{id}"
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {authorization: '<authorization>', Authorization: 'Bearer <token>'}
};
fetch('https://app.sajn.se/api/v1/sajn-id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organizationId": "<string>",
"fullName": "<string>",
"channel": "EMAIL",
"status": "CREATED",
"locale": "<string>",
"expiresAt": "<unknown>",
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"email": "<string>",
"phone": "<string>",
"reference": "<string>",
"verifiedAt": "<unknown>",
"verificationUrl": "<string>",
"token": "<string>",
"contact": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phone": "<string>"
},
"createdBy": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"audits": [
{
"id": "<string>",
"type": "<string>",
"createdAt": "<unknown>",
"data": {},
"name": "<string>",
"email": "<string>",
"ipAddress": "<string>",
"userAgent": "<string>"
}
],
"data": {}
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}{
"message": "<string>",
"code": "<string>",
"errorId": "<string>"
}Get a sajn ID verification by ID
Retrieve detailed information about a specific sajn ID verification including status, audit logs, and verification data.
The response includes:
- Verification status and timestamps
- Contact information (email/phone based on channel)
- Linked contact details (if applicable)
- Complete audit log of all verification events
- Verification data (e.g., BankID response for verified identities)
Note: Sensitive information like SSN is encrypted and not returned in the API response.
Authorizations
OAuth 2.0 access token for a connected application. Limited to the scopes granted at consent.
Headers
Bearer token for API authentication
Path Parameters
Response
200
Unique sajn ID verification identifier
Organization ID
Full name of person being verified
Delivery channel used
EMAIL, SMS, IN_APP Current verification status
CREATED, SENT, OPENED, VERIFIED, FAILED, EXPIRED, CANCELED Locale for messages
When the identity check (and its link) expires
When the verification was created
When the verification was last updated
Email address (if using EMAIL channel)
Phone number (if using SMS channel)
Reference/external ID
When the verification was completed
Verification URL (only included when creating)
Verification token (only included when creating, for sending)
Linked contact information
Show child attributes
Show child attributes
User who created this verification
Show child attributes
Show child attributes
Audit log entries for this verification
Show child attributes
Show child attributes
Verification data (e.g., BankID response)
Show child attributes
Show child attributes
Was this page helpful?

